Call Report

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

A call detail record is a data record produced by a telephone exchange. The record contains various attributes of the call, such as time, duration, completion status, source number, and destination number.

A detailed list of call logs can be retrieved using the below method.

curl --request GET \
  --url https://api.acefone.co.uk/v1/call_report \
  --header 'accept: application/json' \
  --header 'authorization: Authorization'

Query Parameters

Variable NameDescriptionData Type
didToll Free number or local numberString
dest_numDestination number where call landedString
bill_secString
call_idCaller ID of the client
[clients number]
String
bill_sec_operatorString
call_statusStatus of callString
src_numString
limitNumber of records to be fetched
[ minimum: 1, maximum: 100 ]
String
operatorString
sortString
orderString
time_zoneTime zoneString
to_dateDate till where records need to be fetchedString
pagePage numberString
from_dateDate from where records need to be fetchedString
call_durationDuration of a callString

Response

Variable NameDescriptionData Type
total_recordsTotal number of recordsString
filtered_recordsTotal number of records to which filters are appliedString
page_recordsTotal number of records on the current pageString
pagePage numberString
dataContains detailed call logsObject
data[].idIndex of the callNumber
data[].call_statsCall statisticsObject
data[].call_stats.inbound_secInbound secondsNumber
data[].call_stats.outbound_secOutbound secondsNumber
data[].call_stats.bill_secBill seconds consumedNumber
data[].call_stats.bill_callsBill callsString
data[].call_stats.total_chargesTotal charges for the callString
data[].call_stats.connection_timeStart time of callString
data[].call_stats.ring_timeTime (in seconds) for which call was ringingNumber
data[].call_stats.answer_timeTotal answered secondsNumber
data[].call_stats.call_idCall IDString
data[].call_stats.unique_idUnique ID of the callNumber
data[].call_stats.call_dateDate on which call was madeString
data[].call_stats.call_flowString
data[].call_hintType of callString
data[].sourceType of callString
data[].destinationDestination of the callString
data[].forward_to_numberExtension eid of follow me number of the extensionString
data[].reason_keyReason for call hangupString
data[].hangup_causeReason for hangupString
data[].dateCall timestampString
data[].recording_file_linkCall recording linkString
data[].statusCall statusString
data[].call_answered_byUnique eid of the extension which answered the callNumber
data[].serviceName of the service on which call landedString
Sample JSON
{
"total_records":"3"
"filtered_records":"3"
"page_records":"3"
"page":"1"
"data":[
0:{
"id":36671
"call_stats":{
"inbound_sec":0
"outbound_sec":0
"bill_sec":0
"bill_calls":0
"total_charges":0
"connection_time":"06:01:57"
"ring_time":"4"
"answer_time":"0"
"call_flow":[
0:"Call received on 4420XXXXX021 at 27-Mar-2020 06:01:57"
1:" Call forwarded to Extension (TestUser1) at 27-Mar-2020 06:02:00"
2:" Dialed Extension (TestUser1) at 27-Mar-2020 06:02:00"
3:" Caller hanged up the call"
]
"call_id":"15XXXXXX7.4XX0"
"call_date":"2020-03-27"
"call_duration":"4"
}
"call_hint":"inbound"
"source":"000509030018"
"destination":NULL
"forward_to_number":"4420XXXXX021 Extension (TestUser1)"
"reason_key":"Channel not available"
"hangup_cause":"Normal Clearing"
"date":"27-Mar-2020 06:01:57"
"recording_file_link":NULL
"status":"missed"
"call_answered_by":""
"service":"Extension (TestUser1)"
}
1:{...}
2:{...}
]
}
Query Params
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
string
Headers
string
required
Responses

500

500 response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json